
Redmine - Defect #7400

E-mail notifications are only sent when user watches issue

2011-01-21 18:28 - Frank de Graaf

Status: Closed Start date: 2011-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

When someone creates/modifies an issue for a project I am assigned to, the e-mail notification isn't being sent to me. My account

setting is set to: "For any event on all my projects".

The log shows a half empty line (like it can't find the addresses):

Sending email notification to:

 If I watch the ticket and I modify it, the line looks like this:

Sending email notification to: phally@example.com

 Then I actually get the e-mail. So SMTP works fine.

Related issues:

Related to Redmine - Defect #7451: Send email Closed 2011-01-26

History

#1 - 2011-01-28 20:02 - Dmitry Bodunov

I have same problem

#2 - 2011-01-28 20:05 - Dmitry Bodunov

I have same problem after upgrade from 1.0.5 to 1.1.0 on gentoo (if this make sense)

#3 - 2011-01-31 09:08 - Christoph Polcin

Dmitry Bodunov wrote:

I have same problem

 i had the same problem (on gentoo), database migration didn't work.

check if users.mail_notification is varchar(255) instead of tinyint/boolean,

if not try to to proceed the upgrade wiki and don't forget to invoke

rake db:migrate RAILS_ENV=production

i applied the changes from #4761 too.

#4 - 2011-01-31 09:44 - Frank de Graaf

- Status changed from New to Resolved

That indeed fixed the problem. Thanks for your reply. Sorry for wasting your time hehe.

#5 - 2011-01-31 09:52 - Christoph Polcin

i applied the changes from #4761 too.
 sorry, i mean r4761.

#6 - 2011-03-02 17:19 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
